Send a PubSub message to Cloud Build to kickoff a deployment process

Permission Level: Read-Write

POST /tenants/deploy

Operation id: TenantService_KickoffDeployment

Tags: TenantService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
topicNamestringNo
payloadobjectNo
{
  "type": "object",
  "properties": {
    "topicName": {
      "type": "string"
    },
    "payload": {
      "type": "object",
      "properties": {
        "custEnv": {
          "type": "string",
          "enum": [
            "uat",
            "prd"
          ],
          "default": "uat"
        },
        "region": {
          "type": "string",
          "enum": [
            "US",
            "EU"
          ],
          "default": "US"
        },
        "releaseVersion": {
          "type": "string"
        },
        "component": {
          "type": "string"
        }
      }
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringNo
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}